## zabbix 1.8.9

=== debian/changelog ===
zabbix (1:1.8.9-1) unstable; urgency=low

  * New upstream release.
  * Fixed dependency on libmysqlclient-dev (closes: #652296)
  * Updated fr.po template (closes: #638908)
  * Updated nl.po template (closes: #639131)
  * Updated sv.po template (closes: #640050)
  * Updated es.po template (closes: #642431)
  * Updated da.po template (closes: #650942)
  * Updated cs.po template (closes: #652458)
  * Updated nb.po template (closes: #652676)
  * Added Include directive for .d-style configuration of agent 
    (closes: #652206)
  * Removed unused and broken "Installation" link from navigation menu
  * Made init.d 'status' command more robust (closes: #640924)
  * Removing dangling symlink on purging (closes: #644020)

 -- Christoph Haas <haas@debian.org>  Sat, 17 Dec 2011 12:45:37 +0100

zabbix (1:1.8.7-1) unstable; urgency=low

  * New upstream release.
  * zabbix-frontend-php.postinst fixed for non-Apache installations
    (closes: #641666)
  * French translation updated (closes: #638908)
  * Dutch translation updated (closes: #639131)
  * Swedish translation updated (closes: #640050)
  * Jabber SRV resolve bug resolved by upstream version 1.8.6 (closes: #635761)
    See also: https://support.zabbix.com/browse/ZBX-1029

 -- Christoph Haas <haas@debian.org>  Thu, 15 Sep 2011 13:52:55 +0200
