## zabbix 1.8.10

=== debian/changelog ===
zabbix (1:1.8.10-1) unstable; urgency=low

  * New upstream release (resolves security bug
    CVE-2011-5027 mentioned in #652664).
  * Fixed typo in synopsis (closes: #652723)
  * Updated pt_BR.po template (closes: #652880)
  * Updated pt.po template (closes: #652923)
  * Updated ru.po template (closes: #653210)
  * Fixed FTBFS (closes: #655488)
  * Checking more thoroughly for an installed Apache in
    zabbix-frontend-php.postinst to make sure the script does not fail if
    other 'httpd' than Apache are installed (closes: #647458)
  * Fixed XSS security issue (closes: #657193)
  * Fixed XSS security issue (closes: #652664)
  * Enabled hardened build flags (closes: #656774)

 -- Christoph Haas <haas@debian.org>  Mon, 02 Jan 2012 23:00:43 +0100
