=== debian/rules ===
--- 
+++ 
@@ -64,13 +64,8 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -oroot -groot -m755
 INSTALL_DIR     = $(INSTALL) -p -d -oroot -groot -m755
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
+DEB_CFLAGS_MAINT_APPEND=-Wall
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
     INSTALL_PROGRAM += -s
 endif
@@ -83,6 +78,7 @@
                     --prefix=/usr \
                     --mandir=\$${prefix}/share/man \
                     --infodir=\$${prefix}/share/info \
+                    $(shell dpkg-buildflags --export=configure) \
                     --enable-server \
                     --enable-agent \
                     --enable-proxy \
