## zabbix 1.8.11

=== debian/changelog ===
zabbix (1:1.8.11-1) unstable; urgency=low

  * New upstream release (closes: #667494)
  * DEB_CFLAGS_MAINT_APPEND fixed (closes: #664508)
  * Updated basque debconf template (closes: #660644)
  * Updated polish debconf template (closes: #661478)
  * Fixed debconf template (closes: #660970)

 -- Christoph Haas <haas@debian.org>  Sun, 08 Apr 2012 12:47:39 +0200
