=== debian/control ===
--- 
+++ 
@@ -134,7 +134,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
 Suggests: logrotate
 Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
-Description: network monitoring solution - proxy (using MySQL)
+Description: network monitoring solution - proxy (using SQLite3)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
  .
