=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,6 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -oroot -groot -m755
 INSTALL_DIR     = $(INSTALL) -p -d -oroot -groot -m755
 
-DEB_CFLAGS_MAINT_APPEND=-Wall
-
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
     INSTALL_PROGRAM += -s
 endif
@@ -78,7 +76,7 @@
                     --prefix=/usr \
                     --mandir=\$${prefix}/share/man \
                     --infodir=\$${prefix}/share/info \
-                    $(shell dpkg-buildflags --export=configure) \
+                    $(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure) \
                     --enable-server \
                     --enable-agent \
                     --enable-proxy \
