## zabbix 2.0.2+dfsg

=== debian/changelog ===
zabbix (1:2.0.2+dfsg-3) unstable; urgency=low

  * init scripts update:
    + stop only known daemon instance to avoid terminating processes
      in LXC containers (Closes: #669268).
    + use only Debian policy compliant LSB logging functions.
    + better messaging & minor code cleanup.
    + messaging to respect rcS(5) VERBOSE variable.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 07 Aug 2012 13:36:06 +1000

zabbix (1:2.0.2+dfsg-2) unstable; urgency=low

  * fixed 'ucf' invocation in .postrm scripts (Closes: 684014).
  * added missing licenses/copyrights for bundled javascript libraries.
  * debian/watch cleanup to avoid checking for RC versions.
  * servers README.Debian to mention database schema upgrade instructions.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 06 Aug 2012 22:28:29 +1000

zabbix (1:2.0.2+dfsg-1) unstable; urgency=low

  * New upstream release.
    + fixes CVE-2012-3435 (closes: #683273).
  * frontend to create /etc/zabbix (closes: #683651).
  * frontend-php.postinst no longer 'chgrp' as group may not exist.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 05 Aug 2012 16:07:05 +1000

zabbix (1:2.0.1+dfsg-1) unstable; urgency=low

  [ Christoph Haas ]
  * New upstream release. (closes: #674941, #674175, #651225)
  * Scriptaculous Javascript library removed.
  * Configure option --with-pgsql renamed to --with-postgresql
  * Added 'status' option in usage description of init.d files (closes:
    #664067)
  * Removed dbconfig-common. Reasons are explained in debian/TODO.Debian
  * Removed debconf and corresponding .po files.
  * Removed automatic configuration of frontend-php to reduce divergence
    from upstream installation instructions.
  * Documented database instalation/upgrade.
  * Introduced /etc/default files to control services' automatic startup.

  [ Dmitry Smirnov ]
  * Added new 'zabbix-server-sqlite3' package
  * Refactored debian/rules for newer debhelper & compat v9
    + hardening
    + automatic parallel build on linux
    + use dh-autoreconf instead of autotools-dev
    + --as-needed to reduce needless linking (when available)
    + updated path to '--sysconfdir' configure option
    + conditional '--with-openipmi' depending on library availability
  * debian/control:
    + standards to 3.9.3
    + added Homepage
    - dropped 'quilt' from Build-Depends
    + Build-Depends list sorted and updated
    + exclude libopenipmi-dev from Build-Depends on "hurd" and "arm"
    + zabbix-backends-php to Suggests php5 backends
    + added myself to Uploaders
    + DM-Upload-Allowed: yes! (Thanks Christoph)
    + sorted packages alphabetically
  * added sample configuration for 'nginx' web server
  * added missing man page
  * install patched upstream man pages instead of embedded ones
  * consolidated .logrotate and .manpages with symbolic links
  * introduced postrotate to zabbix-agent.logrotate
  * moved note about PHP settings to README.Debian
    in zabix-frontend-php package
  * Documented miscellaneous issues in README.source
  * debian/copyright to copyright-format-1.0
  * new patches:
    + to correct paths in SQL schema upgrade files
    + to correct path in man pages
    + to correct man pages section numbers (ZBX-5166)
    + to replace 'nocrypto' patch with better one
    + to fix columns sorting in frontend-php (ZBX-4986)
  * DFSG-repackaging of upstream source
  * debian source compression to .xz
  * lintianisation
  * compress *.sql files in zabbix-server-* packages
  * updated *.init files to:
    + check and report if daemon is already running.
    + always invoke 'chown', not just when directory do not exist.
    + move variables definition section above defaults file import
      to allow potential customising and redefining.
    + use more up-to-date syntax.
    + use LSB functions for messages output.
    + capture daemon output and integrate it to LSB messaging.
    + TERM/30/KILL/5 when daemon is not stopping.
    + report status using status_of_proc.

 -- Christoph Haas <haas@debian.org>  Thu, 24 May 2012 00:34:04 +0200
