## zabbix 2.0.3+dfsg

=== debian/changelog ===
zabbix (1:2.0.3+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.
  * xz compression for binary packages.
  * minor lintian-overrides update for frontend-php.
  * export LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * get-orig-source improved to work from any directory.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 04 Oct 2012 13:45:28 +1000

zabbix (1:2.0.2+dfsg-4) unstable; urgency=low

  * init scripts to return correct exit status if VERBOSE=no,
    thanks to Marco Nenciarini (Closes: #684875).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 14 Aug 2012 20:38:02 +1000
