=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # minimise needless linking
-LDFLAGS+= -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
 
 CONFFLAGS_COMMON  = --host=$(DEB_HOST_GNU_TYPE) \
                     --build=$(DEB_BUILD_GNU_TYPE) \
@@ -114,24 +114,30 @@
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server
 
-PACKAGE = zabbix
-VER = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*(?:\d:)?([\d\.]+)/')
-get-orig-source: $(PACKAGE)-$(VER)
-	# Fix permissions (two PNG files accidentally have executable permissions)
-	find $(PACKAGE)-$(VER) -type f -name '*.png' -print0 | xargs -0r chmod a-x
-	@echo "Clean-up..."
-	find $(PACKAGE)-$(VER) -type f -name '*.exe' -delete -printf 'removing %p\n'
-	cd $(PACKAGE)-$(VER) \
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
+PKG := zabbix
+DTYPE := +dfsg
+DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
+VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*(?:\d:)?([\d\.]+)}')
+.PHONY: get-orig-source
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
+	@
+
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
+	@echo "# Downloading..."
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
+	@echo "# Extracting..."
+	mkdir $(PKG)-$(VER) \
+	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
+	|| $(RM) -r $(PKG)-$(VER)
+	@echo "# Clean-up..."
+	cd $(PKG)-$(VER) \
+	&& find . -type f -name '*.exe' -delete -printf 'removing %p\n' \
 	&& $(RM) -r -v \
-             frontends/php/images/flash \
-             src/zabbix_java/lib/*.jar
-	@echo "Packing..."
-	tar cJf "$(PACKAGE)_$(VER)+dfsg.orig.tar.xz" "$(PACKAGE)-$(VER)" \
-	&& $(RM) -r $(PACKAGE)-$(VER)
-
-$(PACKAGE)-$(VER):
-	uscan --noconf --verbose --force-download --rename --repack --destdir=. --download-version $(VER)
-	mkdir $(PACKAGE)-$(VER) \
-	&& tar xf $(PACKAGE)_$(VER).orig.tar.gz --directory $(PACKAGE)-$(VER) --strip-components 1 \
-	|| $(RM) -r $(PACKAGE)-$(VER)
-	#$(RM) $(PACKAGE)_$(VER).orig.tar.gz
+            frontends/php/images/flash \
+            src/zabbix_java/lib/*.jar
+	@echo "# Packing..."
+	tar cJf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	&& $(RM) -r "$(PKG)-$(VER)"
