## zabbix 2.0.4+dfsg

=== debian/changelog ===
zabbix (1:2.0.4+dfsg-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 05 Feb 2013 16:29:23 -0500

zabbix (1:2.0.4+dfsg-2) unstable; urgency=low

  * CVE-2013-1364: fixed the ability to override LDAP configuration when
    calling user.login via API (Closes: #698541).
  * Updated VCS links.
  * Minor copyright years update.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 20 Jan 2013 20:01:39 +1100

zabbix (1:2.0.4+dfsg-1) unstable; urgency=low

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 20 Jan 2013 17:19:55 +1100

zabbix (1:2.0.4+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [December 2012].
  * [debian/control]
    - Dropped obsolete "DM-Upload-Allowed: yes".
    - Dropped all debconf-related dependencies.
    + Standards to 3.9.4
  * [debian/rules]
    + get-orig-source to clean executable attributes from images.
  * patches [basename,config-debian-customizations] are refreshed.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 11 Dec 2012 09:34:39 +1100

zabbix (1:2.0.3+dfsg-1~exp1) experimental; urgency=low

  * "basename.patch" is extended to fix pagination in frontend-php
    (ZBX-4986).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 18 Nov 2012 11:27:51 +1100

zabbix (1:2.0.3+dfsg-1~exp0ubuntu1) raring; urgency=low

  * Extended default config for agent and proxy.
  * Upstart support for all zabbix components.

 -- Christian Kampka <chris@emerge-life.de>  Mon, 26 Nov 2012 12:02:51 +0000
