=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Christoph Haas <haas@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>, Dmitry Smirnov <onlyjob@member.fsf.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), automake1.9, dh-autoreconf, po-debconf
+Build-Depends: debhelper (>= 9), automake1.9, dh-autoreconf
  ,libcurl4-gnutls-dev | libcurl3-gnutls-dev
  ,libgcrypt-dev
  ,libiksemel-dev
@@ -16,10 +16,10 @@
  ,libsnmp9-dev | libsnmp-dev
  ,libsqlite3-dev
  ,libssh2-1-dev (>= 1.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://zabbix.com
-Vcs-Git: git://git.debian.org/git/collab-maint/zabbix.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/zabbix.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
+VCS-Git: git://anonscm.debian.org/collab-maint/zabbix.git
 
 Package: zabbix-agent
 Architecture: any
@@ -62,7 +62,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: mysql-server (>= 5.0)
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
 Description: network monitoring solution - proxy (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -122,7 +122,6 @@
 Package: zabbix-server-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Pre-Depends: debconf
 Recommends: mysql-server (>= 5.0), snmpd
 Suggests: zabbix-frontend-php, logrotate
 Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
@@ -144,7 +143,6 @@
 Package: zabbix-server-pgsql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Pre-Depends: debconf
 Recommends: postgresql, snmpd
 Suggests: zabbix-frontend-php, logrotate
 Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
@@ -166,7 +164,6 @@
 #Package: zabbix-server-sqlite3
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-#Pre-Depends: debconf
 #Recommends: snmpd
 #Suggests: logrotate
 #Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
