=== debian/rules ===
--- 
+++ 
@@ -132,6 +132,8 @@
 	mkdir $(PKG)-$(VER) \
 	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
 	|| $(RM) -r $(PKG)-$(VER)
+	# Fix permissions (some images files are executable in orig.tars)
+	find $(PKG)-$(VER)/frontends/php/images -type f -executable -print -exec chmod a-x '{}' \;
 	@echo "# Clean-up..."
 	cd $(PKG)-$(VER) \
 	&& find . -type f -name '*.exe' -delete -printf 'removing %p\n' \
