## zabbix 2.0.5+dfsg

=== debian/changelog ===
zabbix (1:2.0.5+dfsg-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 03 Mar 2013 20:00:43 -0500

zabbix (1:2.0.5+dfsg-1) unstable; urgency=low

  * New upstream release [February 2013].
  * Backported patches dropped:
    - ZBX-5986{ab}_fix-favourite-graphs.patch
    - ZBX-6097_CVE-2013-1364.patch

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 13 Feb 2013 05:33:56 +1100

zabbix (1:2.0.4+dfsg-3) unstable; urgency=low

  * New backported patch [ZBX-5986{ab}_fix-favourite-graphs] to correct
    favourite graphs in dashboard.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 07 Feb 2013 16:58:09 +1100
