=== debian/rules ===
--- 
+++ 
@@ -130,7 +130,7 @@
 	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
-	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
+	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
 	|| $(RM) -r $(PKG)-$(VER)
 	# Fix permissions (some images files are executable in orig.tars)
 	find $(PKG)-$(VER)/frontends/php/images -type f -executable -print -exec chmod a-x '{}' \;
@@ -141,5 +141,5 @@
             frontends/php/images/flash \
             src/zabbix_java/lib/*.jar
 	@echo "# Packing..."
-	tar cJf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
 	&& $(RM) -r "$(PKG)-$(VER)"
